29tools
New · MCP SuiteYour infrastructure now talks to AI agents.

Claude, Codex & co. manage DNS, domains and certificates directly, including DNS Doctor diagnostics.

Explore the MCP Suite
DNS automation
v1.6.2
Download OpenAPI
List DNSSEC jobs
Retrieve recent registry DNSSEC jobs for the specified domain.
GET
/dns/{domain}/dnssec/jobs
DomainDNSSECJobsByDomain

Authentication

x-api-key

Parameters

Name
Type
Format
Required
Description
domain
path
string
-
Required
Fully Qualified Domain Name.

Request example

GET
curl --request GET \
  --url 'https://api.regfish.com/dns/www.example.com/dnssec/jobs' \
  --header 'x-api-key: YOUR_API_KEY'

Responses

200
DNSSEC job list
application/jsondnssecJobResponse
Response example 200
{
  "success": true,
  "code": 0,
  "response": [
    {
      "id": 1,
      "action": "example",
      "mode": "example",
      "status": "example",
      "source": "example",
      "ts_created": 1,
      "ts_updated": 1
    }
  ]
}
401
Unauthorized
application/jsonError
Response example 401
{
  "success": false,
  "message": "Unauthorized",
  "error": "Unauthorized"
}
404
Domain not found
application/jsonError
Response example 404
{
  "success": false,
  "message": "Domain not found",
  "error": "Domain not found"
}
500
Unexpected error
application/jsonError
Response example 500
{
  "success": false,
  "message": "Unexpected error",
  "error": "Unexpected error"
}
Community

Zostań częścią społeczności

Regfish DNS API to świetne rozwiązanie dla programistów, którzy chcą zautomatyzować domeny i strefy DNS. Zostań częścią społeczności i skorzystaj z automatyzacji DNS. API DNS jest dostępne bezpłatnie dla każdego klienta Regfish.